// Variables.
// Variables can be used to change or move graphics

// This example uses one changing variable to continually 
// move a shape across the screen.

// create a variable to hold the x value of a shape. 
// this will be a value that continually changes.
float xpos = 10;

void setup ( ) { 
  size (300, 300);
}

// the draw() function is continually repeated:
void draw() { 
  // draw a background to the scene
  background (90);
  
  // draw a circle using the value xpos to position it on the x axis
  ellipse (xpos, 50, 10, 10); 
  // increase xpos by 2 (moves the shape)
  xpos = xpos + 2; 
  
  // if the xpos is greater than the width of the screen 
  // then reset it back to 0. 
  if (xpos > 320) { 
    xpos = 0; 
  }
  
  // another circle is draw at the position of the mouse 
  // using mouseX and mouseY as its x and y values. 
  ellipse (mouseX, mouseY, 40, 40);
}